Skip to main content
GET
/
v4
/
accounts
/
{accountId}
/
content-profiles
/
{contentProfileId}
Get content profile
curl --request GET \
  --url 'https://api.conductor.com/v4/accounts/{accountId}/content-profiles/{contentProfileId}?apiKey=&sig='
import requests

url = "https://api.conductor.com/v4/accounts/{accountId}/content-profiles/{contentProfileId}?apiKey=&sig="

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.conductor.com/v4/accounts/{accountId}/content-profiles/{contentProfileId}?apiKey=&sig=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "accountId": 123,
  "name": "<string>",
  "description": "<string>",
  "voiceTone": "<string>",
  "audience": "<string>",
  "createdBy": 123,
  "created": "2023-11-07T05:31:56Z",
  "updatedBy": 123,
  "updated": "2023-11-07T05:31:56Z",
  "draftCount": 123,
  "languageRules": [
    {
      "term": "<string>",
      "type": "EXCLUDE",
      "extraTerm": "<string>"
    }
  ]
}
{
"code": "<string>",
"message": "<string>"
}
{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}
{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}

Authorizations

apiKey
string
query
required

API Key as a query parameter

sig
string
query
required

Request signature computed using API key and secret. Valid for 5 minutes after creation.

Path Parameters

accountId
integer
required

Account identifier

contentProfileId
string<uuid>
required

Content profile identifier

Response

Content profile

id
string<uuid>
required
accountId
integer
required
name
string
required
description
string | null
voiceTone
string | null

Freeform voice-and-tone guidance applied to generation.

audience
string | null

Freeform target-audience description.

createdBy
integer

User ID of the creator.

created
string<date-time>
updatedBy
integer
updated
string<date-time>
draftCount
integer
languageRules
object[]